[libgxps] autogen: do not use gnome-autogen



commit 773a2aca75b424080cff1c4ee27d2be7b3232241
Author: Ignacio Casal Quinteiro <ignacio casal nice-software com>
Date:   Fri Sep 9 12:25:09 2016 +0200

    autogen: do not use gnome-autogen
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771057

 autogen.sh |   45 ++++++++++++++++++++++++++++++---------------
 1 files changed, 30 insertions(+), 15 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index fde02f7..5111b93 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,38 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=`pwd`
 
-PKG_NAME="libgxps"
+cd $srcdir
 
-(test -f $srcdir/configure.ac) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+       echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+       exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME Git"
-    exit 1
-}
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+       echo "*** If you wish to pass any to it, please specify them on the" >&2
+       echo "*** \`$0\' command line." >&2
+       echo "" >&2
+fi
+
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+       $srcdir/configure "$@" || exit 1
+
+       if [ "$1" = "--help" ]; then exit 0 else
+               echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+       fi
+else
+       echo "Skipping configure process."
+fi
 
-REQUIRED_AUTOMAKE_VERSION=1.10
-REQUIRED_GTK_DOC_VERSION=1.13
-USE_GNOME2_MACROS=1
-. gnome-autogen.sh


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]